## Update Permission Policy

### cURL

```bash
curl --request PUT \
  --url https://api.m3ter.com/organizations/{orgId}/permissionpolicies/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "permissionPolicy": [
    {
      "action": [],
      "resource": [
        "<string>"
      ]
    }
  ],
  "version": 123
}
'```

### Python Example

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/permissionpolicies/{id}"

payload = {
    "name": "<string>",
    "permissionPolicy": [
        {
            "action": [],
            "resource": ["<string>"]
        }
    ],
    "version": 123
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript Example (Fetch)

```javascript
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    permissionPolicy: [{action: [], resource: ['<string>']}],
    version: 123
  })
};

fetch('https://api.m3ter.com/organizations/{orgId}/permissionpolicies/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP Example

```php


```

## Response Codes

### Success Response (200)
Response when the Permission Policy is successfully updated.
```json
{
  "id": "<string>",
  "version": 123,
  "name": "<string>",
  "permissionPolicy": [
    {
      "action": [],
      "resource": [
        "<string>"
      ]
    }
  ],
  "managedPolicy": true,
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>"
}
```

### Error Responses
#### 4XX
```json
{
  "message": "<string>"
}
```
#### 5XX
```json
{
  "message": "<string>"
}
```

## Authorization
- m3ter supports machine-to-machine authentication using the `clientCredentials` OAuth2 flow.
- The `authorizationCode` flow controls access for human users via the m3ter Console application.

## Path Parameters
- **id**: Required UUID of the PermissionPolicy to update.
- **orgId**: Required UUID of the organization.

## Body Parameters
### application/json
- **name**: Required string length: `1 - 100`.
- **permissionPolicy**: Required minimum array length: `1`.
- **version**: Integer, required for updates.
